package com.huimv.eartag2.admin.entity.dto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.huimv.eartag2.admin.entity.Menu;

import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author astupidcoder
 * @since 2021-09-09
 */
public class MenuDto extends Model {

    private static final long serialVersionUID = 1L;

    private Integer id;

    private String menuName;

    private String url;

    private String remark;

    private Integer parentId;

    private Integer sort;

    private List<Menu> children;

    public MenuDto() {
    }

    public MenuDto(Integer id, String menuName, String url, String remark, Integer parentId, Integer sort, List<Menu> children) {
        this.id = id;
        this.menuName = menuName;
        this.url = url;
        this.remark = remark;
        this.parentId = parentId;
        this.sort = sort;
        this.children = children;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public List<Menu> getChildren() {
        return children;
    }

    public void setChildren(List<Menu> children) {
        this.children = children;
    }
}
